package com.bonus.core.auth.mobile.alipay.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@ApiModel("支付宝提审请求参数")
public class AliPayApplyAuditDTO {
   @ApiModelProperty("版本描述")
   private String versionDesc;
   @ApiModelProperty("小程序版本号")
   private String appVersion;
   @ApiModelProperty("客服电话")
   private String servicePhone;
   @ApiModelProperty("授权token")
   private String alipayAppAuthToken;
   @ApiModelProperty("小程序第一张应用截图")
   private String firstScreenShot;
   @ApiModelProperty("小程序第二张应用截图")
   private String secondScreenShot;
   @ApiModelProperty("小程序第三张应用截图")
   private String thirdScreenShot;
   @ApiModelProperty("备注")
   private String memo;

   public String getVersionDesc() {
      return this.versionDesc;
   }

   public String getAppVersion() {
      return this.appVersion;
   }

   public String getServicePhone() {
      return this.servicePhone;
   }

   public String getAlipayAppAuthToken() {
      return this.alipayAppAuthToken;
   }

   public String getFirstScreenShot() {
      return this.firstScreenShot;
   }

   public String getSecondScreenShot() {
      return this.secondScreenShot;
   }

   public String getThirdScreenShot() {
      return this.thirdScreenShot;
   }

   public String getMemo() {
      return this.memo;
   }

   public void setVersionDesc(final String versionDesc) {
      this.versionDesc = versionDesc;
   }

   public void setAppVersion(final String appVersion) {
      this.appVersion = appVersion;
   }

   public void setServicePhone(final String servicePhone) {
      this.servicePhone = servicePhone;
   }

   public void setAlipayAppAuthToken(final String alipayAppAuthToken) {
      this.alipayAppAuthToken = alipayAppAuthToken;
   }

   public void setFirstScreenShot(final String firstScreenShot) {
      this.firstScreenShot = firstScreenShot;
   }

   public void setSecondScreenShot(final String secondScreenShot) {
      this.secondScreenShot = secondScreenShot;
   }

   public void setThirdScreenShot(final String thirdScreenShot) {
      this.thirdScreenShot = thirdScreenShot;
   }

   public void setMemo(final String memo) {
      this.memo = memo;
   }
}
